Meta bug for tracking Openstack 2013.1.2 Stable Update

Bug #1188788 reported by Adam Gandelman on 2013-06-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
quantum (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

This is a meta-bug used for tracking progress of the 2013.1.2 Grizzly stable update to Nova, Glance, Horizon, Keystone, Cinder and Quantum in Ubuntu 13.04 and the Ubuntu Cloud Archive.

 cinder (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low
 .
   * Resynchronize with stable/grizzly (890dc3fe) (LP: #1188788):
     - [46f1e0a] Unable to modify volume-type/QoS on cloned SolidFire volume
       LP: 1184235
     - [e7d973c] Creating a Cinder volume from an image ID fails to copy the
       image to the volume LP: 1183283
     - [c56d031] Cloned volume is associated with wrong SolidFire account
       LP: 1183521
     - [53ffc79] Huawei driver failed to handle mutiple requests in short time
       LP: 1162251
     - [839a6a7] cinder volume service keeps retrying even with code exception
       LP: 1167841
     - [80784a4] Grizzly upgrade breaks old api v1 router path LP: 1168573

 glance (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low
 .
   * Resynchronize with stable/grizzly (a799a98b) (LP: #1188788):
     - [4655685] Terminate the glance-api in eclipse cause Ubuntu logout
       LP: 1068051
     - [0c98014] Forbidden 403 error while get public image from multitenant
       swift storage where object is chunked (larger than 5GB) LP: 1170156
     - [9ce21bd] Monkey patching done after logging LP: 1163722
     - [ff8c8e8] many glance config options lack help text LP: 1162449

 horizon (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low
 .
   * Resynchronize with stable/grizzly (7310ef2d) (LP: #1188788):
     - [6ffa0e6] Update translations from transifex LP: 1175241
     - [0769c3c] Backport "Remove the term 'syspanel' from docs" to Grizzly
       LP: 1179873

 keystone (1:2013.1.2-0ubuntu2) raring-proposed; urgency=low
 .
   * Rebased to include latest security updates:
     - debian/patches/CVE-2013-2157.patch: Cherry-picked from stable/grizzly.
 .
 keystone (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low
 .
   * Resynchronize with stable/grizzly (8dd57da1) (LP: #1188788):
     - [8dd57da] Migration 020 incorrectly assigns roles. LP: 1186128
     - [81a4d38] Removing a user from a project would result to all members of
       that project to be removed LP: 1170649
     - [39c4ca1] default_domain_id breaks the ability to map keystone to ldap
       LP: 1168726
     - [69d0733] Lacking initial rule for list_groups_for_user operation in
       sample policy.json LP: 1167836
     - [45fa69b] LDAP list group users should not fail if user entry deleted
       LP: 1174585
     - [6090bbe] Update sample_data.sh to match docs LP: 1073291
     - [a00bab7] use swift stable branch

 nova (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low
 .
   * Dropped patches, applied upstream:
     - debian/patches/CVE-2013-2096.patch: [a4fc0c8]
   * Resynchronize with stable/grizzly (8c136a8e) (LP: #1188788):
     - [8c136a8] instance_type data cannot be extracted from sys_meta after
       instance deleted LP: 1185190
     - [6556344] Some nova.tests.integrated.test_api_samples.Hypervisors* tests
       fail when run as single test LP: 1177802
     - [bc35dba] Make nova.virt.fake.FakeDriver useable in integration testing
     - [ab51ac6] Cannot resize instance if base image is not available
       LP: 1160773
     - [4933c15] FC attach code doesn't discover multipath device LP: 1180497
     - [605ea6f] Failure to snapshot backend LP: 1166160
     - [ec335d0] bug in get_instance_security_groups() if security group has no
       name LP: 1182738
     - [fdb33fb] Traceback from cinderclient in nova-api log for BadRequest
       errors LP: 1098048
     - [de50a5a] vmwareapi: Add supported_instances to host state
     - [129d118] ERROR: test_resize_server_revert BuildErrorException LP: 1161529
     - [e05cf67] EC2 API throws stacktrace if adding security group rule that
       already exists LP: 1180973
     - [158f003] The hypervisor_hostname is not updated after live migration
       LP: 1173376
     - [b4d8cfe] variable referenced before assignment in vmwareapi code
       LP: 1177689
     - [40f3eed] Some Compute API methods unnecessarily alter the vm_state.
       LP: 1158509
     - [d4bed18] Cannot resize a volume backed instance booted without an image
       LP: 1182114
     - [bba57e9] nova interface-attach fails with quantum LP: 1171636
     - [e0a8bdd] InstanceMetadata content can be None LP: 1163598
     - [5094e83] nova coverage create lots empty folders even with coverage
       extension disabled LP: 1169005
     - [76eb8f7] ZooKeeper servicegroup driver is trying to import module by
       wrong name LP: 1177776
     - [b8c4346] Inconsistent connectivity between instances with floating IPs
       LP: 1178745
     - [726ae59] race condition between delete instance(with floating ip
       associated) and delete floating ip LP: 1172599
     - [498ce52] Don't swallow missing SR error LP: 1175357
     - [be0a14a] Nic Ordering not guaranteed with nova-network API LP: 1170725
     - [3c84539] Detach volume fails when using multipath iscsi LP: 1178893
     - [fc5c6ec] Quantum Security Group driver doesn't accept none value for
       from_port & to _port LP: 1176027
     - [784b6e4] ERROR in log when rebooting too soon after a reboot LP: 1157237
     - [3b52002] Resize revert operations fail with stack traces LP: 1180111
     - [25f2025] Live migration fails when the instance booted from volume has no
       image. LP: 1170596
     - [1ffab28] internal service AZ not hidden for disabled zones LP: 1167956
     - [c532f7a] Key error thrown when create lpar instance failed LP: 1173303
     - [a35e0f4] soft delete values in InstanceSystemMetadata on instance delete
       LP: 1153827
     - [1a682a5] Restarting compute service mistakenly reboots live instance
       LP: 1176897
     - [a4fc0c8] [OSSA 2013-012] Unchecked qcow2 root disk sizes LP: 1177830
     - [4226aa9] Nova evacuate failed when the VM is in shutoff status
       LP: 1176773
     - [687cd67] floating ip assignment can fail silently LP: 1178658
     - [5358ee9] when using multi_host and update_dns_entries dnsmasq is missing
       addn-hosts arg LP: 1170529
     - [325ab8f] wrong instance bdm response in ec2 api LP: 1165973

 quantum (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low
 .
   * debian/control: Add version requirement to python-fixtures (>= 0.3.12).
   * Resynchronize with stable/grizzly (4bac39b2) (LP: #1188788):
     - [db36434] rootwrap filter for iptables-save/restore incomplete LP: 1156044
     - [3339f96] dnsmasq returns its own IP as gateway LP: 1170793
     - [e88a22f] Floodlight/BigSwitch plugin does not return external network
       attributes on get_network LP: 1180971
     - [f431117] quantum-netns-cleanup no longer accepts force argument
       LP: 1180767
     - [120c166] dnsmasq returns its own IP as gateway LP: 1170793
     - [c7a02b2] For networks shared beetwen multiple tenants (net-create
       --shared) there's no 'default' security group LP: 1171997
     - [c9f640a] update-port error if port does not exist in nvp LP: 1172006
     - [1359767] too strict version requirement of kombu LP: 1178512
     - [bc8e9f9] cannot delete default security group after tenants are deleted
       LP: 1175393
     - [cd102c3] plugin path for nvp not correct in folsom to grizzly migration
       LP: 1180089
     - [b2c658c] make default transport type configurable nvp LP: 1179759
     - [e97fdc4] enable_isolated_metadata_proxy should be called only when
       enable_isolated_metadata enabled LP: 1159015
     - [cd06e21] nicira plugin: metadata access network management makes
       unnecessary calls to backend LP: 1176963
     - [83eae03] Metadata proxy startup can fail when Daemon class doesn't
       properly match running processes LP: 1177416
     - [cee43fb] quantum port-create can not detect duplicate IP address
       LP: 1177277
     - [59410e6] exception raised on disassociate_floatingips when out of sync
       LP: 1177176
     - [d1f1217] L3 & DHCP agents can't kill metadata proxy on RHEL LP: 1178419
     - [1841ea5] dhcp agent uses root_helper setting from dhcp_agent.ini and
       quantum.conf LP: 1178003
     - [6b5c713] Adding virtual devices to namespaces post-creation is not
       supported under RHEL LP: 1171727
     - [aabb62f] binding:vif_type set twice in Brocade plugin LP: 1176570
     - [abf3288] Incorrect logic in OVSQuantumAgent.port_unbound method
       LP: 1173463
     - [5a86b4e] Nova and quantum don't close qpid connections after certain
       error conditions LP: 1172922
     - [7addf41] rootwrap error in devstack w/quantum from quantum-dhcp
       LP: 1080846

Related branches

CVE References

Changed in cinder (Ubuntu):
status: New → Invalid
Jamie Strandboge (jdstrand) wrote :

FYI, keystone 1:2013.1.1-0ubuntu2.1 hit raring in http://www.ubuntu.com/usn/usn-1875-1/.

Hello Adam, or anyone else affected,

Accepted nova into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2013.1.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Raring):
status: New → Fix Committed
tags: added: verification-needed
Changed in glance (Ubuntu Raring):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Adam, or anyone else affected,

Accepted glance into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/glance/1:2013.1.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Raring):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Adam, or anyone else affected,

Accepted horizon into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2013.1.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in quantum (Ubuntu Raring):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Adam, or anyone else affected,

Accepted quantum into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/quantum/1:2013.1.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Raring):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Adam, or anyone else affected,

Accepted cinder into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2013.1.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Raring):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Adam, or anyone else affected,

Accepted keystone into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2013.1.2-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

description: updated

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, the OpenStack components have been deployed and configured across multiple nodes using raring-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

These proposed packages were deployed and tested in several different configurations. Attached are tarballs with various test logs from each configuration. In addition to the base components, variables in deployments include:

raring_grizzly_nova-network: nova-network (FlatDHCP), glance (Ceph backend), cinder (Ceph backend)
raring_grizzly_iscsi: nova-network (FlatDHCP), glance (local backend), cinder (iSCSI backend)
raring_grizzly_quantum: quantum (OVS plugin), glance (Ceph backend), nova-volume (Ceph backend)

Please note the versions_tested.txt file in each tarball, which contains details about relevant package versions installed and tested.

For records of upstream test coverage of this update, please see the individual bug reports.

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Changed in cloud-archive:
status: New → Fix Committed
Adam Gandelman (gandelman-a) wrote :

Test coverage log.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2013.1.2-0ubuntu1

---------------
glance (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (a799a98b) (LP: #1188788):
    - [4655685] Terminate the glance-api in eclipse cause Ubuntu logout
      LP: 1068051
    - [0c98014] Forbidden 403 error while get public image from multitenant
      swift storage where object is chunked (larger than 5GB) LP: 1170156
    - [9ce21bd] Monkey patching done after logging LP: 1163722
    - [ff8c8e8] many glance config options lack help text LP: 1162449
 -- Adam Gandelman <email address hidden> Fri, 07 Jun 2013 13:38:52 -0400

Changed in glance (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2013.1.2-0ubuntu1

---------------
horizon (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (7310ef2d) (LP: #1188788):
    - [6ffa0e6] Update translations from transifex LP: 1175241
    - [0769c3c] Backport "Remove the term 'syspanel' from docs" to Grizzly
      LP: 1179873
 -- Adam Gandelman <email address hidden> Fri, 07 Jun 2013 13:27:44 -0400

Changed in horizon (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2013.1.2-0ubuntu2

---------------
keystone (1:2013.1.2-0ubuntu2) raring-proposed; urgency=low

  * Rebased to include latest security updates:
    - debian/patches/CVE-2013-2157.patch: Cherry-picked from stable/grizzly.

keystone (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (8dd57da1) (LP: #1188788):
    - [8dd57da] Migration 020 incorrectly assigns roles. LP: 1186128
    - [81a4d38] Removing a user from a project would result to all members of
      that project to be removed LP: 1170649
    - [39c4ca1] default_domain_id breaks the ability to map keystone to ldap
      LP: 1168726
    - [69d0733] Lacking initial rule for list_groups_for_user operation in
      sample policy.json LP: 1167836
    - [45fa69b] LDAP list group users should not fail if user entry deleted
      LP: 1174585
    - [6090bbe] Update sample_data.sh to match docs LP: 1073291
    - [a00bab7] use swift stable branch
 -- Adam Gandelman <email address hidden> Sun, 16 Jun 2013 21:45:44 -0700

Changed in keystone (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.6 KiB)

This bug was fixed in the package nova - 1:2013.1.2-0ubuntu1

---------------
nova (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-2096.patch: [a4fc0c8]
  * Resynchronize with stable/grizzly (8c136a8e) (LP: #1188788):
    - [8c136a8] instance_type data cannot be extracted from sys_meta after
      instance deleted LP: 1185190
    - [6556344] Some nova.tests.integrated.test_api_samples.Hypervisors* tests
      fail when run as single test LP: 1177802
    - [bc35dba] Make nova.virt.fake.FakeDriver useable in integration testing
    - [ab51ac6] Cannot resize instance if base image is not available
      LP: 1160773
    - [4933c15] FC attach code doesn't discover multipath device LP: 1180497
    - [605ea6f] Failure to snapshot backend LP: 1166160
    - [ec335d0] bug in get_instance_security_groups() if security group has no
      name LP: 1182738
    - [fdb33fb] Traceback from cinderclient in nova-api log for BadRequest
      errors LP: 1098048
    - [de50a5a] vmwareapi: Add supported_instances to host state
    - [129d118] ERROR: test_resize_server_revert BuildErrorException LP: 1161529
    - [e05cf67] EC2 API throws stacktrace if adding security group rule that
      already exists LP: 1180973
    - [158f003] The hypervisor_hostname is not updated after live migration
      LP: 1173376
    - [b4d8cfe] variable referenced before assignment in vmwareapi code
      LP: 1177689
    - [40f3eed] Some Compute API methods unnecessarily alter the vm_state.
      LP: 1158509
    - [d4bed18] Cannot resize a volume backed instance booted without an image
      LP: 1182114
    - [bba57e9] nova interface-attach fails with quantum LP: 1171636
    - [e0a8bdd] InstanceMetadata content can be None LP: 1163598
    - [5094e83] nova coverage create lots empty folders even with coverage
      extension disabled LP: 1169005
    - [76eb8f7] ZooKeeper servicegroup driver is trying to import module by
      wrong name LP: 1177776
    - [b8c4346] Inconsistent connectivity between instances with floating IPs
      LP: 1178745
    - [726ae59] race condition between delete instance(with floating ip
      associated) and delete floating ip LP: 1172599
    - [498ce52] Don't swallow missing SR error LP: 1175357
    - [be0a14a] Nic Ordering not guaranteed with nova-network API LP: 1170725
    - [3c84539] Detach volume fails when using multipath iscsi LP: 1178893
    - [fc5c6ec] Quantum Security Group driver doesn't accept none value for
      from_port & to _port LP: 1176027
    - [784b6e4] ERROR in log when rebooting too soon after a reboot LP: 1157237
    - [3b52002] Resize revert operations fail with stack traces LP: 1180111
    - [25f2025] Live migration fails when the instance booted from volume has no
      image. LP: 1170596
    - [1ffab28] internal service AZ not hidden for disabled zones LP: 1167956
    - [c532f7a] Key error thrown when create lpar instance failed LP: 1173303
    - [a35e0f4] soft delete values in InstanceSystemMetadata on instance delete
      LP: 1153827
    - [1a682a5] Restarting compute service mistakenly reboots live instance
      LP: 1176897
    - [a4fc0c8] [OSSA 2013-012] U...

Read more...

Changed in nova (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package quantum - 1:2013.1.2-0ubuntu1

---------------
quantum (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * debian/control: Add version requirement to python-fixtures (>= 0.3.12).
  * Resynchronize with stable/grizzly (4bac39b2) (LP: #1188788):
    - [db36434] rootwrap filter for iptables-save/restore incomplete LP: 1156044
    - [3339f96] dnsmasq returns its own IP as gateway LP: 1170793
    - [e88a22f] Floodlight/BigSwitch plugin does not return external network
      attributes on get_network LP: 1180971
    - [f431117] quantum-netns-cleanup no longer accepts force argument
      LP: 1180767
    - [120c166] dnsmasq returns its own IP as gateway LP: 1170793
    - [c7a02b2] For networks shared beetwen multiple tenants (net-create
      --shared) there's no 'default' security group LP: 1171997
    - [c9f640a] update-port error if port does not exist in nvp LP: 1172006
    - [1359767] too strict version requirement of kombu LP: 1178512
    - [bc8e9f9] cannot delete default security group after tenants are deleted
      LP: 1175393
    - [cd102c3] plugin path for nvp not correct in folsom to grizzly migration
      LP: 1180089
    - [b2c658c] make default transport type configurable nvp LP: 1179759
    - [e97fdc4] enable_isolated_metadata_proxy should be called only when
      enable_isolated_metadata enabled LP: 1159015
    - [cd06e21] nicira plugin: metadata access network management makes
      unnecessary calls to backend LP: 1176963
    - [83eae03] Metadata proxy startup can fail when Daemon class doesn't
      properly match running processes LP: 1177416
    - [cee43fb] quantum port-create can not detect duplicate IP address
      LP: 1177277
    - [59410e6] exception raised on disassociate_floatingips when out of sync
      LP: 1177176
    - [d1f1217] L3 & DHCP agents can't kill metadata proxy on RHEL LP: 1178419
    - [1841ea5] dhcp agent uses root_helper setting from dhcp_agent.ini and
      quantum.conf LP: 1178003
    - [6b5c713] Adding virtual devices to namespaces post-creation is not
      supported under RHEL LP: 1171727
    - [aabb62f] binding:vif_type set twice in Brocade plugin LP: 1176570
    - [abf3288] Incorrect logic in OVSQuantumAgent.port_unbound method
      LP: 1173463
    - [5a86b4e] Nova and quantum don't close qpid connections after certain
      error conditions LP: 1172922
    - [7addf41] rootwrap error in devstack w/quantum from quantum-dhcp
      LP: 1080846
 -- Adam Gandelman <email address hidden> Fri, 07 Jun 2013 13:29:16 -0400

Changed in quantum (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2013.1.2-0ubuntu1

---------------
cinder (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (890dc3fe) (LP: #1188788):
    - [46f1e0a] Unable to modify volume-type/QoS on cloned SolidFire volume
      LP: 1184235
    - [e7d973c] Creating a Cinder volume from an image ID fails to copy the
      image to the volume LP: 1183283
    - [c56d031] Cloned volume is associated with wrong SolidFire account
      LP: 1183521
    - [53ffc79] Huawei driver failed to handle mutiple requests in short time
      LP: 1162251
    - [839a6a7] cinder volume service keeps retrying even with code exception
      LP: 1167841
    - [80784a4] Grizzly upgrade breaks old api v1 router path LP: 1168573
 -- Adam Gandelman <email address hidden> Fri, 07 Jun 2013 13:27:14 -0400

Changed in cinder (Ubuntu Raring):
status: Fix Committed → Fix Released
Changed in glance (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Changed in quantum (Ubuntu):
status: New → Invalid

This bug has been fixed in the Ubuntu Cloud Archive (precise-grizzly):

    nova: 1:2013.1.2-0ubuntu1~cloud0
    keystone: 1:2013.1.2-0ubuntu2~cloud0
    horizon: 1:2013.1.2-0ubuntu1~cloud0
    quantum: 1:2013.1.2-0ubuntu1~cloud0
    cinder: 1:2013.1.2-0ubuntu1~cloud0
    glance: 1:2013.1.2-0ubuntu1~cloud0

Changed in cloud-archive:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers